{% extends 'base.html' %}

{% block content %}
{% include "menu.html" %}
<div class="container mt-5">
    <div class="container-kegiatan">
        {% for kegiatan in data_kegiatan %}
        <div class="card my-5 card-kegiatan" style="width: 18rem;">
            <div class="card-body">
                <h5 class="card-title"><b>{{kegiatan.0.nama}} </b></h5>
                <p class="card-text">
                    Peserta :  <span class="badge badge-primary badge-pill">{{kegiatan.1|length}}</span><br>
                    <div class="list-peserta-container">
                        {% for peserta in kegiatan.1 %}
                        <div class="list-peserta-item">
                            {{peserta.nama}}
                            <button type="button" onclick="deletePeserta({{peserta.id}})" class="close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        {% endfor %}      
                    </div>
                </p>
            <button type="button" class="btn" data-toggle="modal" data-target="#exampleModal" onclick="tambahPeserta('{{kegiatan.0.nama}}',{{kegiatan.0.id}})">Tambahkan Peserta</button>
            </div>
        </div>
        {% endfor %}
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Tambahkan Peserta</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                Nama Kegiatan : <span id="namaKegiatan"></span>
              <form action="" method="POST">
                  {% csrf_token %}
                  <input type="hidden" name="id_kegiatan" id="idKegiatan" value="">
                {{formpeserta}}
              
            </div>
            <div class="modal-footer">
              <button type="button" class="btn" data-dismiss="modal">Close</button>
              <button type="submit" class="btn">Daftar</button>
            </div>
            </form>
          </div>
        </div>
      </div>
    <h3 class="mt-3">Tambahkan Kegiatan Baru</h3>
    <form action="" method="post" class="mt-4 kegiatan-form">
        {{formkegiatan}}
        {% csrf_token %}
        <input type="submit" class="btn mt-2" value="Tambahkan"> 
    </form>
    <form action="" class="d-none" method="post" id="deletePesertaForm">
        {% csrf_token %}
        <input type="hidden" name="delete-peserta" value="" id="deletePeserta">
    </form>
</div>
<script>
function tambahPeserta(namaKegiatan, idKegiatan){
    document.getElementById('namaKegiatan').innerHTML=namaKegiatan;
    document.getElementById('idKegiatan').value=idKegiatan;
}

function deletePeserta(pesertaid){
    document.getElementById('deletePeserta').value = pesertaid;
    document.getElementById('deletePesertaForm').submit();
}
</script>
{% endblock %}
